> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a wallet

> Get wallet by address



## OpenAPI

````yaml GET /wallet/{address}
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /wallet/{address}:
    get:
      tags:
        - Wallet
      summary: Get wallet by address
      description: Get wallet by address
      operationId: get
      parameters: []
      responses:
        '200':
          description: The wallet has been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WalletDTO'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    WalletDTO:
      type: object
      properties:
        address:
          type: string
          description: The address associated with the user’s wallet.
          example: '0x1234567890123456789012345678901234567890'
        object:
          type: string
          description: >-
            A string that specifies the type of the object. All objects of the
            same type share this value.
          example: wallet
        balances:
          description: Token balances held by the wallet
          allOf:
            - $ref: '#/components/schemas/BalanceDTO'
      required:
        - address
        - object
        - balances
    BalanceDTO:
      type: object
      properties:
        token:
          type: object
          description: The token address.
          example: '0x4dad19801eff64eaaa7c78e466ce3678d0b1fd94'
        total:
          type: string
          description: Total balance of the token.
          example: '1000'
        available:
          description: Details about the available balance.
          allOf:
            - $ref: '#/components/schemas/AvailableDTO'
        frozen:
          description: Details about the frozen balance.
          allOf:
            - $ref: '#/components/schemas/FrozenDTO'
      required:
        - token
        - total
        - available
        - frozen
    AvailableDTO:
      type: object
      properties:
        amount:
          type: string
          description: Amount of tokens available.
          example: '0'
      required:
        - amount
    FrozenDTO:
      type: object
      properties:
        amount:
          type: string
          description: Amount of tokens frozen.
          example: '1000'
      required:
        - amount

````